

rawset(_G, "j_turbostack", CV_RegisterVar({
  name = "j_turbostack",
  defaultvalue = "Off",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

rawset(_G, "j_fastrespawn", CV_RegisterVar({
  name = "j_fastrespawn",
  defaultvalue = "Off",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

rawset(_G, "j_firmsneaker", CV_RegisterVar({
  name = "j_firmsneaker",
  defaultvalue = "Off",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

rawset(_G, "j_spbrefund", CV_RegisterVar({
  name = "j_spbrefund",
  defaultvalue = "On",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

rawset(_G, "j_misfire", CV_RegisterVar({
  name = "j_misfire",
  defaultvalue = "Off",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

rawset(_G, "j_hspy", CV_RegisterVar({
  name = "j_hspy",
  defaultvalue = "Off",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

rawset(_G, "j_growrefund", CV_RegisterVar({
  name = "j_growrefund",
  defaultvalue = "Off",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

rawset(_G, "j_hsafety", CV_RegisterVar({
  name = "j_hsafety",
  defaultvalue = "On",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

rawset(_G, "j_startgrief", CV_RegisterVar({
  name = "j_startgrief",
  defaultvalue = "On",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

rawset(_G, "j_mantarings", CV_RegisterVar({
  name = "j_mantarings",
  defaultvalue = "Off",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

rawset(_G, "j_fasthydro", CV_RegisterVar({
  name = "j_fasthydro",
  defaultvalue = "On",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

rawset(_G, "j_tech", CV_RegisterVar({
  name = "j_tech",
  defaultvalue = "On",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

rawset(_G, "j_longerspinout", CV_RegisterVar({
  name = "j_longerspinout",
  defaultvalue = "Off",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

rawset(_G, "j_itemnerf", CV_RegisterVar({
  name = "j_itemnerf",
  defaultvalue = "Off",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

rawset(_G, "j_turntips", CV_RegisterVar({
  name = "j_turntips",
  defaultvalue = "Off",
  flags = CV_NETVAR,
  PossibleValue = CV_OnOff,
}))

local tipsenabled = CV_RegisterVar({
	name = "tipsenabled", 
	defaultvalue = "On", 
	possiblevalue = CV_OnOff
})


local commandinfo = {
	{"Stacks Miniturbos", j_turbostack},
	{"Respawns You Faster", j_fastrespawn},
	{"Basiclly Hard Sneakers", j_firmsneaker},
	{"After You Fire a SPB You Get a Sneaker", j_spbrefund},
	{"Rewards a Boost For a Stolen Sneaker", j_misfire},
	{"Lets You See Enemies Items While You Have Hydro", j_hspy},	
	{"Gives You A Boost After Releasing A Grow Early", j_growrefund},
	{"Makes It Where Your Item Won't Immediately Get Stolen", j_hsafety},
	{"Stops Everyone From Bumpping Around At The Start", j_startgrief},
	{"Puts Boost Rings After 1st Place For Racers Can Catch Up", j_mantarings},
	{"Gives A Speed Boost After Using Hydro", j_fasthydro},
	{"Gives A Action Command After You Spin Out That Gives You A Small Boost", j_tech},
	{"Makes Getting Out Of A Spinout Longer", j_longerspinout},
	{"Turns off Juicebox Tips", j_turntips},
	{"\133BATTLE MODE ONLY: Nerfs Items That You Can Get In Battle ", j_itemnerf},
}

COM_AddCommand("juicehelp", function(p)

	CONS_Printf(p, "List of Commands")
	for i = 1, #commandinfo
		local cinfo = commandinfo[i]
		local cid = cinfo[2].value and "\136".."ON " or "\130".."OFF"

		CONS_Printf(p, cid.."\128 - ".."\131"..cinfo[2].name.."\128"..": ("..cinfo[1]..")")
	end
end)